Draft API/tr: Difference between revisions

From FreeCAD Documentation
(Created page with "{{APIFunction | cut | FreeCAD.Object, FreeCAD.Object | Verilen 2 nesnenin farkından yapılan bir kesim nesnesi döndürür. Orijinal nesneler gizlenir. | Yeni oluşturulan ne...")
Line 12: Line 12:




{{APIFunction|cut|FreeCAD.Object, FreeCAD.Object|Returns a cut object made from the difference of the 2 given objects. The original objects get hidden.|The newly created object}}
{{APIFunction | cut | FreeCAD.Object, FreeCAD.Object | Verilen 2 nesnenin farkından yapılan bir kesim nesnesi döndürür. Orijinal nesneler gizlenir. | Yeni oluşturulan nesne}}
{{APIFunction|extrude|FreeCAD.Object, Vector|Extrudes the given object in the direction given by the vector. The original object gets hidden.|The newly created object}}
{{APIFunction | extrude | FreeCAD.Object, Vector | Verilen nesneyi vektör tarafından verilen yönde çıkarır. Orijinal nesne gizlenir. | Yeni oluşturulan nesne}}
{{APIFunction|formatObject|FreeCAD.Object, [FreeCAD.Object]|This function applies to the given target object the current properties set on the Draft toolbar (line color and line width), or copies the properties of a second object if provided. It also places the object in construction group if the construction button is pressed.|Nothing}}
{{APIFunction | formatObject | FreeCAD.Object, [FreeCAD.Object] | Bu işlev, Taslak araç çubuğundaki geçerli özellikleri verilen hedef nesneye uygular (çizgi rengi ve çizgi genişliği) veya verilirse ikinci bir nesnenin özelliklerini kopyalar. Ayrıca inşaat düğmesine basıldığında nesneyi inşaat grubuna yerleştirir. | Nothing}}
{{APIFunction|fuse|FreeCAD.Object, FreeCAD.Object|Returns an object made from the union of the 2 given objects. If the objects are coplanar, a special Draft Wire is used, otherwise the final object is a standard Part fuse.|The newly created object}}
{{APIFunction | fuse | FreeCAD.Object, FreeCAD.Object | Verilen 2 nesnenin birleşiminden yapılan nesneyi döndürür. Nesneler düzlemsel ise, özel bir Taslak Teli kullanılır, aksi takdirde nihai nesne standart bir Kısım sigortasıdır. | Yeni oluşturulan nesne}}
{{APIFunction|getDraftPath|[string]|Returns the user or system path where the Draft module is running from. If a subpath or a filename is supplied, the full path to the subpath inside the Draft module is returned.|A file path}}
{{APIFunction | getDraftPath | [string] | Taslak modülünün bulunduğu kullanıcıyı veya sistem yolunu döndürür den çalışıyor. Bir alt yol veya bir dosya adı verilirse, Taslak modülündeki alt yolun tam yolu döndürülür. | Bir dosya yolu}}
{{APIFunction|getGroupContents|list|Scans recursively the given list for groups. If groups are encountered, their contents are appended to the list.|A list of FreeCAD Objects}}
{{APIFunction | getGroupContents | list | Gruplar için verilen listeyi tekrar tekrar tarar. Gruplarla karşılaşılırsa, içerikleri listeye eklenir. | FreeCAD Nesnelerinin bir listesi}}
{{APIFunction|getRealName|string|Strips the trailing numbers from an object name.|The stripped object name}}
{{APIFunction | getRealName | string | Bir takip eden sayıları bir nesne adından soyar. | Soyulmuş nesne adı}}
{{APIFunction | getSelection | | Geçerli FreeCAD seçimini döndürür. | Geçerli FreeCAD seçimidir.}} {{APIFunction | makeCircle | radius, [yerleşim], [facemode], [startangle], [endangle] | Verilen yarıçapı olan bir daire nesnesi oluşturur. Yerleşim verilirse kullanılır. Yüz modu Yanlış ise, daire bir tel kafes olarak gösterilir, aksi halde yüz olarak gösterilir. Startangle ve endangle verilirse (derece cinsinden) kullanılırlar ve nesne bir yay gibi görünür. | Yeni oluşturulan nesne.}}
{{APIFunction|getSelection| |Returns the current FreeCAD selection.|The current FreeCAD selection.}}
{{APIFunction | makeDimension | Vector, Vector, [Vector] veya FreeCAD.Object, int, int, [Vector] | İlk ve ikinci vektörler arasındaki mesafeyi ölçen bir Ölçümlendirme nesnesi oluşturur, eğer varsa boyut çizgisi üçüncü vektörden geçer. Taslak araç çubuğundan geçerli çizgi genişliği ve rengi kullanılacaktır. 2 vektör yerine, bir FreeCAD nesnesini ve iki tam sayıyı (ve isteğe bağlı olarak boyut çizgisinin geçmesi gereken bir vektör) geçirebilirsiniz. Bu durumda boyut, nesneyle ilişkilendirilir ve verilen iki indeks numarası ile gösterilen iki köşesini ölçer. | Yeni oluşturulan nesne.}}
{{APIFunction|makeCircle|radius, [placement], [facemode], [startangle], [endangle]|Creates a circle object with given radius. If a placement is given, it is used. If facemode is False, the circle is shown as a wireframe, otherwise as a face. If startangle AND endangle are given (in degrees), they are used and the object appears as an arc.|The newly created object.}}
{{APIFunction | makeLine | Vector, Vector | Arasında bir çizgi oluşturur. verilen iki vektör. Taslak araç çubuğundan geçerli çizgi genişliği ve rengi kullanılacaktır. | Yeni oluşturulan nesne.}} {{APIFunction | makeRectangle | uzunluk, genişlik, [yerleştirme], [facemode] | X yönünde ve uzunluğunda bir Dikdörtgen nesnesi oluşturur. Y yönünde yükseklik. Yerleşim verilirse kullanılır. Yüz modu Yanlış ise, dikdörtgen bir tel kafes, aksi halde yüz olarak gösterilir. Taslak araç çubuğundan geçerli çizgi genişliği ve rengi kullanılacaktır. | Yeni oluşturulan nesne.}}
{{APIFunction|makeDimension|Vector, Vector, [Vector] or FreeCAD.Object, int, int, [Vector]|Creates a Dimension object measuring distance between first and second vectors, with the dimension line passign through the third vector if provided. The current line width and color from the Draft toolbar will be used. Instead of 2 vectors, you can also pass a FreeCAD object, and two integers (and optionally a vector where the dimension line must pass). In that case, the dimension will be associated with the object, and measure two of its vertices, indicated by the two given indice numbers.|The newly created object.}}
{{APIFunction | makeText | string veya list, [Vector], [screenmode] | Belirtilen noktada bir Text nesnesi oluşturur dize veya listede verilen dizeleri, bir dizgiyi içeren bir vektör sağlanır. Taslak araç çubuğundan geçerli renk ve tercihlerde belirtilen metin yüksekliği ve yazı tipi kullanılır. Ekran modu True ise, metin her zaman görünüm yönüne bakar, aksi takdirde XY düzleminde kalır. | Yeni oluşturulan nesne.}}
{{APIFunction|makeLine|Vector, Vector|Creates a line between the two given vectors. The current line width and color from the Draft toolbar will be used.|The newly created object.}}
{{APIFunction | makeWire | list veya Part.Wire, [kapalı], [yerleşim], [ facemode] | Verilen vektör listesinden veya verilen Wire'dan bir DWire nesnesi oluşturur. Kapalı Doğru ise veya ilk ve son noktalar aynıysa, tel kapalıdır. Yüz modu Doğru ise (ve kablo kapalıysa), tel dolu görünecektir. Taslak araç çubuğundan geçerli çizgi genişliği ve rengi kullanılacaktır. | Yeni bir Taslak DWire (Parça Tel değil).}}
{{APIFunction|makeRectangle|length, width, [placement], [facemode]|Creates a Rectangle object with length in X direction and height in Y direction. If a placement is given, it is used. If facemode is False, the rectangle is shown as a wireframe, otherwise as a face. The current line width and color from the Draft toolbar will be used.|The newly created object.}}
{{APIFunction | move | FreeCAD.Object veya list, Vector, [copymode] | Verilen nesneyi taşır veya verilen listede yer alan ve belirtilen vektör tarafından belirtilen doğrultuda ve mesafedeki nesneler. Copymode True ise, gerçek nesneler taşınmaz, ancak kopyalar bunun yerine oluşturulur. | Nesneler (veya copymode True ise kopyaları).}}
{{APIFunction|makeText|string or list, [Vector], [screenmode]|Creates a Text object, at the given point if a vector is provided, containing the string or the strings given in the list, one string by line. The current color from the Draft toolbar and the text height and font specified in preferences are used. If screenmode is True, the text always faces the view direction, otherwise it lies on the XY plane.|The newly created object.}}
{{APIFunction | precision | | Taslak kullanıcı ayarlarından hassas değeri döndürür. | Bir tamsayı.}} {{APIFunction | rotate | FreeCAD.Object veya list, angle, [center], [axis], [copymode] | Verilen nesneyi veya içerdiği nesneleri döndürür Verilen listede, verilen merkez etrafında verilen açı ile, ekseni dönme ekseni olarak kullanma. Eksen ihmal edilirse, dönüş dikey Z ekseni etrafında olacaktır. Copymode True ise, gerçek nesneler taşınmaz, ancak kopyalar bunun yerine oluşturulur. | Nesneler (veya kopyaları).}} {{APIFunction | scale | FreeCAD.Object veya list, vector, [center], [copymode] | Verilen nesneyi veya verilen listede yer alan nesneleri verilen vektör tarafından tanımlanan ölçek faktörleriyle ölçeklendirir (X, Y ve Z dizinlerinde)}}
{{APIFunction|makeWire|list or Part.Wire, [closed], [placement], [facemode]|Creates a DWire object from the given list of vectors or from the given Wire. If closed is True or if first and last points are identical, the wire is closed. If facemode is True (and wire is closed), the wire will appear filled. The current line width and color from the Draft toolbar will be used.|A new Draft DWire (not a Part Wire).}}
{{APIFunction|move|FreeCAD.Object or list, Vector, [copymode]|Moves the given object or the objects contained in the given list in the direction and distance indicated by the given vector. If copymode is True, the actual objects are not moved, but copies are created instead.|The object(s) (or their copies if copymode was True).}}
{{APIFunction|precision| |Returns the precision value from Draft user settings.|An integer.}}
{{APIFunction|rotate|FreeCAD.Object or list, angle, [center], [axis] ,[copymode]|Rotates the given object or the objects contained in the given list with the given angle around the given center if provided, using axis as a rotation axis. If axis is omitted, the rotation will be around the vertical Z axis. If copymode is True, the actual objects are not moved, but copies are created instead.|The objects (or their copies).}}
{{APIFunction|scale|FreeCAD.Object or list, vector, [center], [copymode]|Scales the given object or the objects contained in the given list with a scale factors defined by the given vector (in X, Y and Z directions) around the given center if provided. If copymode is True, the actual objects are not moved, but copies are created instead.|The objects (or their copies).}}
{{APIFunction|select|FreeCAD.Object|Deselects everything and selects only the passed object|Nothing.}}
{{APIFunction|shapify|FreeCAD.Object|Transforms a parametric shape object into non-parametric.|The new object.}}
{{APIFunction|draftify|FreeCAD.Object or list|Turns the given object or each object of the given list into Draft parametric wires.|Nothing.}}
{{APIFunction|getSVG|FreeCAD.Object, [linemodifier], [textmodifier], [(u,v)]|Creates a SVG representation of the given object. The linemodifier attribute is a scale factor (in percents) for line width, and textmodifier for text size. You can also optionally provide a tuple of vectors to define a projection plane, otherwise the geometry will be projected on the XY plane.|a string containing a SVG representation of the given object.}}





Revision as of 11:31, 24 January 2019

Bu işlevler Taslak modülünün bir parçasıdır ve Taslak modülü alındıktan sonra komut dosyalarında ve makrolarda veya python yorumlayıcısında kullanılabilir.

Örnek:

import FreeCAD
from Draft import *
myrect = makeRectangle(4,3)
mydistance = FreeCAD.Vector(2,2,0)
move(myrect,mydistance)


cut ( FreeCAD.Object, FreeCAD.Object )

Description: Verilen 2 nesnenin farkından yapılan bir kesim nesnesi döndürür. Orijinal nesneler gizlenir.

Returns: Yeni oluşturulan nesne

extrude ( FreeCAD.Object, Vector )

Description: Verilen nesneyi vektör tarafından verilen yönde çıkarır. Orijinal nesne gizlenir.

Returns: Yeni oluşturulan nesne

formatObject ( FreeCAD.Object, [FreeCAD.Object] )

Description: Bu işlev, Taslak araç çubuğundaki geçerli özellikleri verilen hedef nesneye uygular (çizgi rengi ve çizgi genişliği) veya verilirse ikinci bir nesnenin özelliklerini kopyalar. Ayrıca inşaat düğmesine basıldığında nesneyi inşaat grubuna yerleştirir.

Returns: Nothing

fuse ( FreeCAD.Object, FreeCAD.Object )

Description: Verilen 2 nesnenin birleşiminden yapılan nesneyi döndürür. Nesneler düzlemsel ise, özel bir Taslak Teli kullanılır, aksi takdirde nihai nesne standart bir Kısım sigortasıdır.

Returns: Yeni oluşturulan nesne

getDraftPath ( [string] )

Description: Taslak modülünün bulunduğu kullanıcıyı veya sistem yolunu döndürür den çalışıyor. Bir alt yol veya bir dosya adı verilirse, Taslak modülündeki alt yolun tam yolu döndürülür.

Returns: Bir dosya yolu

getGroupContents ( list )

Description: Gruplar için verilen listeyi tekrar tekrar tarar. Gruplarla karşılaşılırsa, içerikleri listeye eklenir.

Returns: FreeCAD Nesnelerinin bir listesi

getRealName ( string )

Description: Bir takip eden sayıları bir nesne adından soyar.

Returns: Soyulmuş nesne adı

getSelection ( )

Description: Geçerli FreeCAD seçimini döndürür.

Returns: Geçerli FreeCAD seçimidir.

makeCircle ( radius, [yerleşim], [facemode], [startangle], [endangle] )

Description: Verilen yarıçapı olan bir daire nesnesi oluşturur. Yerleşim verilirse kullanılır. Yüz modu Yanlış ise, daire bir tel kafes olarak gösterilir, aksi halde yüz olarak gösterilir. Startangle ve endangle verilirse (derece cinsinden) kullanılırlar ve nesne bir yay gibi görünür.

Returns: Yeni oluşturulan nesne.

makeDimension ( Vector, Vector, [Vector] veya FreeCAD.Object, int, int, [Vector] )

Description: İlk ve ikinci vektörler arasındaki mesafeyi ölçen bir Ölçümlendirme nesnesi oluşturur, eğer varsa boyut çizgisi üçüncü vektörden geçer. Taslak araç çubuğundan geçerli çizgi genişliği ve rengi kullanılacaktır. 2 vektör yerine, bir FreeCAD nesnesini ve iki tam sayıyı (ve isteğe bağlı olarak boyut çizgisinin geçmesi gereken bir vektör) geçirebilirsiniz. Bu durumda boyut, nesneyle ilişkilendirilir ve verilen iki indeks numarası ile gösterilen iki köşesini ölçer.

Returns: Yeni oluşturulan nesne.

makeLine ( Vector, Vector )

Description: Arasında bir çizgi oluşturur. verilen iki vektör. Taslak araç çubuğundan geçerli çizgi genişliği ve rengi kullanılacaktır.

Returns: Yeni oluşturulan nesne.

makeRectangle ( uzunluk, genişlik, [yerleştirme], [facemode] )

Description: X yönünde ve uzunluğunda bir Dikdörtgen nesnesi oluşturur. Y yönünde yükseklik. Yerleşim verilirse kullanılır. Yüz modu Yanlış ise, dikdörtgen bir tel kafes, aksi halde yüz olarak gösterilir. Taslak araç çubuğundan geçerli çizgi genişliği ve rengi kullanılacaktır.

Returns: Yeni oluşturulan nesne.

makeText ( string veya list, [Vector], [screenmode] )

Description: Belirtilen noktada bir Text nesnesi oluşturur dize veya listede verilen dizeleri, bir dizgiyi içeren bir vektör sağlanır. Taslak araç çubuğundan geçerli renk ve tercihlerde belirtilen metin yüksekliği ve yazı tipi kullanılır. Ekran modu True ise, metin her zaman görünüm yönüne bakar, aksi takdirde XY düzleminde kalır.

Returns: Yeni oluşturulan nesne.

makeWire ( list veya Part.Wire, [kapalı], [yerleşim], [ facemode] )

Description: Verilen vektör listesinden veya verilen Wire'dan bir DWire nesnesi oluşturur. Kapalı Doğru ise veya ilk ve son noktalar aynıysa, tel kapalıdır. Yüz modu Doğru ise (ve kablo kapalıysa), tel dolu görünecektir. Taslak araç çubuğundan geçerli çizgi genişliği ve rengi kullanılacaktır.

Returns: Yeni bir Taslak DWire (Parça Tel değil).

move ( FreeCAD.Object veya list, Vector, [copymode] )

Description: Verilen nesneyi taşır veya verilen listede yer alan ve belirtilen vektör tarafından belirtilen doğrultuda ve mesafedeki nesneler. Copymode True ise, gerçek nesneler taşınmaz, ancak kopyalar bunun yerine oluşturulur.

Returns: Nesneler (veya copymode True ise kopyaları).

precision ( )

Description: Taslak kullanıcı ayarlarından hassas değeri döndürür.

Returns: Bir tamsayı.

rotate ( FreeCAD.Object veya list, angle, [center], [axis], [copymode] )

Description: Verilen nesneyi veya içerdiği nesneleri döndürür Verilen listede, verilen merkez etrafında verilen açı ile, ekseni dönme ekseni olarak kullanma. Eksen ihmal edilirse, dönüş dikey Z ekseni etrafında olacaktır. Copymode True ise, gerçek nesneler taşınmaz, ancak kopyalar bunun yerine oluşturulur.

Returns: Nesneler (veya kopyaları).

scale ( FreeCAD.Object veya list, vector, [center], [copymode] )

Description: Verilen nesneyi veya verilen listede yer alan nesneleri verilen vektör tarafından tanımlanan ölçek faktörleriyle ölçeklendirir (X, Y ve Z dizinlerinde)

Returns: {{{4}}}